Subject: Re: Does GPL apply without Cygwin stub? [long and off-topic] (was Re: [ANN] Cygwin DEV survey)
From: Chris Faylor <[email-masked]>
To: "Suhaib M. Siddiqi" <[email-masked]>
Cc: Fergus Henderson <[email-masked]>, [email-masked]
Date: Mon, 8 Mar 1999 18:23:48 -0500

We're investigating this now.

I certainly am not aware of every one of our commercial customers so it
is possible that this company has purchased a commercial license from us.

If they haven't, perhaps they've bundled things in such as way as to avoid
the GPL requirement.

cgf

On Mon, Mar 08, 1999 at 05:54:03PM -0500, Suhaib M. Siddiqi wrote:
>>>I don't think that is correct.  I believe the "commercial compiler"
>>>that Suhaib M. Siddiqi is referring to may be the one known as the
>>>"Cygnus GNUPro Development Tools" ;-)
>>>
>>>If I understand things correctly, it *is* possible to get a license
>for
>>>Cygwin that allows you to link proprietry code which incorporates the
>>>Cygwin crt0 file --- you just need to fork over the appropriate amount
>of
>>>cash to Cygnus to pay for that license.
>>
>>That's right.  As the license holder for cygwin we reserve the right to
>>distribute the code under a different licensing agreement.
>>
>>We do allow our customers to distribute code linked with the DLL under
>>other terms than the GPL -- for a fee.
>>
>>I don't believe that Suhaib is referring to our own products however,
>and
>>I don't believe that he is referring to a commercial customer of
>Cygnus.
>>
>>cgf
>
>
>Yes, I am refering to a commercial cuustomer (PGI) who officially
>distribute
>it as a bundeled product:
>
>here is a paragraph from their brochures.  I do not accept ilega
>software and do not allow others to make illegal copies of my licensed
>software.
>
>Suhaib
>
>* PGHPF Workstation
>    - Command-level F77 compiler
>    - Command-level F90 compiler
>    - Command-level HPF compiler
>    - Supported on Linux/Solaris86/NT
>    - Full HPF support for multi-processor (SMP) systems
>    - Threads-based SMP auto-parallelization in F77/F90
>    - Native directive-based OpenMP parallelization in F77/F90
>    - SGI C$DOACROSS directive supported in F77/F90
>    - Byte-swapping unformatted I/O (big-endian to little)
>    - Executables utilize up to 4 processors
>    - Cray/DEC/IBM compatibility (including Cray POINTERs)
>    - PGPROF performance profiler (command-level only on NT)
>    - PGDBG symbolic debugger (not yet available on NT)
>    - UNIX-like command environment bundled on NT   <---note
>this----------------
>    - Node-locked single-user license
>
>    PGHPF Workstation 1 Year Subscription
>
>
>
>

-- 
[email-masked]
http://www.cygnus.com/

--
Want to unsubscribe from this list?
Send a message to [email-masked]